Subject: Re: bug#62009: 29.0.60; Emacs crashes on setf symbol-name

From: Michael Heerdegen <[email-masked]>
Date: Tue, 07 Mar 2023 16:45:20 +0100

Daniel Mendler <[email-masked]> writes:

> Execute the following in the scratch buffer:
>
> (setf (aref (symbol-name 'car) 1) ?o)
>
> Emacs crashes with a segmentation fault. Is this a well-known issue? I
> could reproduce the problem on Emacs 27 and 29. Should there be some
> mechanism to protect the strings of symbols?

I vaguely remember this has been discussed some time ago, but I don't
find a bug report about it.  Maybe it had been on emacs-dev.

Maybe the outcome was something like that we can't protect everybody in
every case from shooting in the own foot, I don't recall.

Michael.